<script lang="ts">
    export let grow: number = 1;
    export let shrink: number = 1;
    export let basis: string = "auto";
</script>

<div class="sslib__flexitem" style="flex: {grow} {shrink} {basis}">
    <slot />
</div>

<style>
    div {
        min-width: 0.1px;
        overflow: auto;
        min-height: 0.1px;
    }
</style>
